All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::backend::cuda::cuda_exception Class Reference

`#include <cuda.hpp>`

Inheritance diagram for viennacl::backend::cuda::cuda_exception:

## Public Member Functions

| cuda_exception (std::string const &what_arg, cudaError_t err_code)
cudaError_t | error_code () const

## Detailed Description

Definition at line 59 of file cuda.hpp.

## Constructor & Destructor Documentation

viennacl::backend::cuda::cuda_exception::cuda_exception | ( | std::string const & | what_arg,
|  | cudaError_t | err_code
| ) |  |

inline

Definition at line 62 of file cuda.hpp.

## Member Function Documentation

cudaError_t viennacl::backend::cuda::cuda_exception::error_code | ( |  | ) | const

inline

Definition at line 64 of file cuda.hpp.

The documentation for this class was generated from the following file:

- viennacl/backend/cuda.hpp